##############################################################
# RemoteRequirer module
# defines a remote_require method that takes a string
# which it then does an Object.class_eval on
# basically lets you send strings of code an environment
# and does effectively what 'require' does for files
##############################################################

module TaskMaster
  module Mixins
    module RemoteRequirer
      def remote_require(str)
         puts "RemoteRequirer::remote_require(#{str})" if $DEBUG
	 Object.class_eval str
      end #
    end #RemoteRequirer module
  end #Mixins module
end #TaskMaster module

