module TaskMaster
  module Mixins
    module Runnable
      attr_reader :times_sent
      def run
	raise NotImplementedError, "'run' must be overridden in your task"
      end
      def _inc_times_sent
         @times_sent ||= 0 
	 @times_sent += 1
      end
    end #Runnable module
  end #Mixins module
end #TaskMaster module
