####################################################################
# TaskMaster.rb
# Defines the TaskMaster module 
# 
# 
# 1/31/2001
# Copyright (C) 2001,2002 Phil Tomson
# This file covered by the same license as Ruby's
# See 'COPYING' file
####################################################################
require 'drb'
##########################################################################
# add a rotate method to Array 
##########################################################################
class Array
  def rotate!
     self.unshift( self.pop)
     return self[0]
  end
end     

module TaskMaster
  SAMPLETIME = .1 #default number of seconds between checking clients
  DEFAULT_PORT = 9000
  class AttributeMismatch < RuntimeError
  end
  class ClientListEmpty < RuntimeError
  end

  def timed_question(message,time = 20)
    input = "n"
    retval = false
    puts message+" (y/[n])"
    begin
      timeout(time) {
         input = STDIN.gets
      }
    rescue
      puts "Query timed out.  Assuming the answer is 'no'"
    else
    end
    puts "input is: #{input}"
    if input =~ /^n/i
      retval = false
    else
      retval = true
    end
    return retval
  end
  #require files which define: TaskMaster::Mixins
  #require "ClientAttributes"
  #require "RemoteRequirer"
  require "Mixins"
  #require files which define classes:
  require "Distributor"
  require "Slave"
  require "SlaveProxy"

end #module TaskMaster
